#4520 closed defect (fixed)

configure: WARNING: "Could not find a C++ standard library" in PostGIS 3.0.0beta1

Reported by: jabakobob Owned by: Algunenano
Priority: medium Milestone: PostGIS 3.0.0
Component: postgis Version: master
Keywords: Cc:

Description

I'd like to report a regression in PostGIS 3.0.0beta1 (versus PostGIS 3.0.0alpha4)

When I try to build PostGIS 3.0.0beta1, I get warnings about symbols not found in libwagyu

So I checked the output from configure, and I found the following warning

configure: WARNING: "Could not find a C++ standard library"

It seems this warning occurs when trying to find linker flags for WAGYU.

And indeed, if I check config.log, it seems that WAGYU_LDFLAGS is not set correctly:

$ grep WAGYU */config.log 
postgis-3.0.0alpha4/config.log:configure:18888: result: WAGYU: Wagyu usage requested
postgis-3.0.0alpha4/config.log:HAVE_WAGYU='yes'
postgis-3.0.0alpha4/config.log:WAGYU_CXX='gcc -std=c++11 -x c++'
postgis-3.0.0alpha4/config.log:WAGYU_LDFLAGS='-lc++'
postgis-3.0.0alpha4/config.log:WAGYU_LIB='libwagyu.la'
postgis-3.0.0alpha4/config.log:#define HAVE_WAGYU 1
postgis-3.0.0beta1/config.log:configure:18969: result: WAGYU: Wagyu usage requested
postgis-3.0.0beta1/config.log:HAVE_WAGYU='yes'
postgis-3.0.0beta1/config.log:WAGYU_CXX='gcc -std=c++11 -x c++'
postgis-3.0.0beta1/config.log:WAGYU_LDFLAGS=''
postgis-3.0.0beta1/config.log:WAGYU_LIB='libwagyu.la'
postgis-3.0.0beta1/config.log:#define HAVE_WAGYU 1

I'm not sure why this happens, but I assume that the empty value for WAGYU_LDFLAGS is the reason that I get the missing symbol error later on.

Change History (2)

comment:1 Changed 13 months ago by Algunenano

Owner: changed from pramsey to Algunenano
Version: 2.5.xtrunk

comment:2 Changed 13 months ago by Raul Marin

Resolution: fixed
Status: newclosed

In 17854:

Use a clean environment when detecting C++ libraries

Closes #4520
Closes https://github.com/postgis/postgis/pull/488

Note: See TracTickets for help on using tickets.